Taskbar.State (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt, class: Taskbar, enum: State
Keywords: java.awt.Taskbar.State class

# Enum Class Taskbar.State

java.lang.Object
java.lang.Enum<Taskbar.State>
java.awt.Taskbar.State

All Implemented Interfaces:
  `Serializable, Comparable<Taskbar.State>, Constable`

Enclosing class:
  `Taskbar`

public static enum Taskbar.State extends Enum<Taskbar.State>
Kinds of available window progress states.

Since:
  9
See Also:
  - `Taskbar.setWindowProgressState(java.awt.Window, java.awt.Taskbar.State)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`
  Modifier and Type
  Class
  Description
  `static final class`
  `Enum.EnumDesc<E extends Enum<E>>`
  A nominal descriptor for an `enum` constant.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  Shows that an error has occurred.
  `INDETERMINATE`
  The progress indicator displays activity without specifying what proportion of the progress is complete.
  `NORMAL`
  The progress indicator displays with normal color and determinate mode.
  `OFF`
  Stops displaying the progress.
  `PAUSED`
  Shows progress as paused, progress can be resumed by the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Taskbar.State`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Taskbar.State[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected final Object`
  `clone()`
  Throws CloneNotSupportedException.
  `final int`
  `compareTo(Taskbar.State o)`
  Compares this enum with the specified object for order.
  `final Optional<Enum.EnumDesc<Taskbar.State>>`
  `describeConstable()`
  Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
  `final boolean`
  `equals(Object other)`
  Returns true if the specified object is equal to this enum constant.
  `protected final void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization has been deprecated for removal.
  `final Class<Taskbar.State>`
  `getDeclaringClass()`
  Returns the Class object corresponding to this enum constant's enum type.
  `final int`
  `hashCode()`
  Returns a hash code for this enum constant.
  `final String`
  `name()`
  Returns the name of this enum constant, exactly as declared in its enum declaration.
  `final int`
  `ordinal()`
  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
  `String`
  `toString()`
  Returns the name of this enum constant, as contained in the declaration.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumClass, String name)`
  Returns the enum constant of the specified enum class with the specified name.

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### OFF

    public static final Taskbar.State OFF
    Stops displaying the progress.

  - ### NORMAL

    public static final Taskbar.State NORMAL
    The progress indicator displays with normal color and determinate mode.

  - ### PAUSED

    public static final Taskbar.State PAUSED
    Shows progress as paused, progress can be resumed by the user. Switches to the determinate display.

  - ### INDETERMINATE

    public static final Taskbar.State INDETERMINATE
    The progress indicator displays activity without specifying what proportion of the progress is complete.

  - ### ERROR

    public static final Taskbar.State ERROR
    Shows that an error has occurred. Switches to the determinate display.

- ## Method Details

  - ### values

    public static Taskbar.State[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Taskbar.State valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null